<template>
  <div>
    <apex-chart
      type="pie"
      :options="options"
      :series="series"
    ></apex-chart>
  </div>
</template>
<script>
import ApexChart from "vue-apexcharts";
export default {
  components: {
    ApexChart
  },
  data() {
    return {
      series: [],
      options: {
        labels: [],
        chart: {
          fontFamily: "Poppins, sand-serif",
          animations: {
            speed: 500
          },
          toolbar: {
            show: true,
            tools: {
              download: true,
              selection: false,
              zoom: false,
              zoomin: true,
              zoomout: true,
              pan: true,
              reset: true,
              customIcons: []
            },
            autoSelected: "pan"
          }
        },
        dataLabels: {
          enabled: true,
          dropShadow: {
            enabled: false
          },
          style: {
            colors: ["#fefefe"],
            fontFamily: "Poppins, sans-serif",
            fontSize: "12px"
          }
        },
        stroke: {
          width: 0
        },
        title: {
          text: "Consumer Base",
          style: {
            fontSize: "15px"
          }
        },
        legend: {
          show: true,
          fontSize: "10px",
          color: "#282d32",
          position: "bottom"
        },
        theme: {
          monochrome: {
            enabled: true,
            color: "#0087d3",
            shadeTo: "light",
            shadeIntensity: 0.79
          }
        },
        responsive: [
          {
            breakpoint: 500,
            options: {
              chart: {
                toolbar: {
                  show: true,
                  tools: {
                    download: true
                  }
                }
              }
            }
          }
        ]
      }
    };
  },
  computed: {
    dashboardData() {
      return this.$store.getters["dashboard/dashboardData"];
    }
  },

  created() {
    if (!_.isNull(this.dashboardData)) {
      let tmpSeries = [];
      let tmpLabels = [];
      let storeSeries = this.dashboardData.chart.consumer_base;

      storeSeries.forEach(element => {
        tmpSeries.push(element.channel_count);
      });
      this.series = tmpSeries;

      let labels = this.options.labels;
      let data = Object.keys(storeSeries);
      storeSeries.forEach(element => {
        tmpLabels.push(element.name);
      });
      _.map(tmpLabels, function(value, index) {
        return (labels[index] = value
          .toLowerCase()
          .replace(/\b[a-z]/g, function(letter) {
            return letter.toUpperCase();
          }));
      });
    }
  },
};
</script>
